4

I have problems compiling a beamer presentation that I wrote and used two years ago. As the code hasn't changed, I guess some update must be the culprit. (I'm using MiKTeX on Windows with all updates installed as of today.) I was able to boil down the problem to the following minimal example:

\documentclass{beamer}
\usepackage{pdfrender}

\begin{document}
\end{document}

This gives me the following error message:

! Package xcolor Error: Undefined color `.'.
l.307 \PdfRender@PatchColor

It seems pdfrender and beamer don't work together anymore. What am I supposed to do?

2

1 Answer 1

6

To work around the problem, you could switch to an older version of the latex kernel:

\RequirePackage[2023/11/10]{latexrelease}
\documentclass{beamer}
\usepackage{pdfrender}

\begin{document}
\begin{frame}
content...
\end{frame}
\end{document}

Or you could switch back to an older xcolor version:

\RequirePackage{xcolor}[=v2]
\documentclass{beamer}
\usepackage{pdfrender}

\begin{document}
\begin{frame}
content...
\end{frame}
\end{document}

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .